Squid3 & Squidguard



  • Hi all,

    Have 5 boxes on which Squid3 & Squidguard installed and are working properly.
    On 1 box I seem to have problems getting it activated.

    Services fail to start from the moment squidguard is installed.

    Following I took from the logs

    | Jun 6 11:49:58 squid[55919]: Bungled squid.conf line 4: http_port 127.0.0.1:3128 intercept
    Jun 6 11:49:58 php: : The command '/usr/local/sbin/squid' returned exit code '1', the output was 'FATAL: Bungled squid.conf line 4: http_port 127.0.0.1:3128 intercept Squid Cache (Version 2.7.STABLE9): Terminated abnormally.'
    Jun 6 11:50:09 check_reload_status: Reloading filter
    Jun 6 11:50:09 check_reload_status: Syncing firewall
    Jun 6 11:50:11 squid[7796]: Bungled squid.conf line 4: http_port 127.0.0.1:3128 intercept
    Jun 6 11:50:11 php: : IPSEC: One or more IPsec tunnel endpoints has changed its IP. Refreshing.
    Jun 6 11:50:11 check_reload_status: Reloading filter
    Jun 6 11:50:12 login: login on ttyv0 as root
    Jun 6 11:50:12 sshlockout[30658]: sshlockout/webConfigurator v3.0 starting up
    Jun 6 11:50:14 php: : SQUID is installed but not started. Not installing "nat" rules.
    Jun 6 11:50:14 php: : SQUID is installed but not started. Not installing "pfearly" rules.
    Jun 6 11:50:14 php: : SQUID is installed but not started. Not installing "filter" rules.
    Jun 6 11:50:16 Squid_Alarm[54421]: Squid has exited. Reconfiguring filter.
    Jun 6 11:50:16 Squid_Alarm[54651]: Attempting restart…
    Jun 6 11:50:16 squid[55975]: Bungled squid.conf line 4: http_port 127.0.0.1:3128 intercept
    Jun 6 11:50:22 php: : SQUID is installed but not started. Not installing "nat" rules.
    Jun 6 11:50:22 php: : SQUID is installed but not started. Not installing "pfearly" rules.
    Jun 6 11:50:22 php: : SQUID is installed but not started. Not installing "filter" rules.

    Looking at the error I went on the look for that directory but couldn't find it!
    I'am at the latest release and use the default packages:
    Version 2.0.1-RELEASE (i386)
    built on Mon Dec 12 18:24:17 EST 2011
    FreeBSD 8.1-RELEASE-p6

    You are on the latest version.

    As a side note: this is the only fw where I have 3 interfaces!

    Any help is verry appreciated.

    Kind regards,
    |



  • Try to reinstall squid3 package. It looks like squidguard has forced squid2 version after squid3 install.



  • Marcelloc,

    Tried the following.
    Uninstall SquidGuard.
    Uninstall Squid 3.

    Reboot pfsense.
    Install Squid3
    INstall squidGuard.
    Issue stays.

    Uninstall Squid3
    Uninstall Squidguard following (http://forum.pfsense.org/index.php?topic=32637.0)
    No packages available.
    Reboot pfense.
    Issue stays.

    What I notice is that my "settings" are saved somewhere, so I think not all gets deleted/uninstalled in the right way!
    Could this be? If yes (allready tried searching :( ) are there any particular steps to follow to make sure I delete all config related files?

    Kind regards

    BTW I get these messages when deinstalling squif guard:
    Skipping package deletion for db41-4.1.25_4 because it is a dependency. (linked and removed by Squid3)
    Starting package deletion for db3-3.3.11_3,1…done.
    Skipping package deletion for cyrus-sasl-2.1.25_1 because it is a dependency. (linked and removed by Squid3)

    ???



  • And when I install the 2.7 with Squidguard everything works ok!  ???
    MM don't get it!

    Well new release is due soon so..  ;D
    Btw love your work!



  • And when I install the 2.7 with Squidguard everything works ok!  ???
    MM don't get it!

    Well new release is due soon so..  ;D
    Btw love your work!

    Marcello,

    Did the following (after reading around on the forum)
    pkg_add -rf http://files.pfsense.org/packages/8/All/squid-3.1.19.tbz
    pkg_add -rf http://files.pfsense.org/packages/8/All/perl-5.12.4_4.tbz

    Then installed the Squid3 from the package manager without removing Squid and everything seems to work fine now!



  • Using system packages, install squidguard first and then squid3.

    Unsing pkg_add,  if you have squid3 gui files then pkg_add will work too.



  • Marcelloc,

    tried it but failed. Strange, because found that solution to in other posts.
    Like stated above. Only solution for me was installing the normal squid via the packages and then "upgrading" o Squid3!

    Do mind that I indeed did a manual install of the Perl package.

    Thx a lot for the support!


Locked